<div class="section-heading">

	<?php
		if ( $cat_id == 0 ) {
			$heading_url = get_theme_mod('all-posts-url', home_url().'/latest');
			$heading_text = esc_html('Latest news', 'goodsite-pro');
		} else {
			$heading_url = $cat_link;
			$heading_text = $category->name;		
		}
	?>

	<h3 class="section-title"><a href="<?php echo esc_url($heading_url); ?>"><?php echo $heading_text; ?></a></h3>

</div><!-- .section-heading -->				

<?php
	// The Loop
	while ( $posts->have_posts() ) : $posts->the_post();

	if ($i == 1) {
?>	

<div class="post-first hentry">

	<a class="thumbnail-link" href="<?php the_permalink(); ?>">
		<div class="thumbnail-wrap">
			<?php
			if ( has_post_thumbnail() ) { 
				the_post_thumbnail('general-thumb');  
			} else {
				echo '<img src="'. get_template_directory_uri() .'/assets/img/general-thumb.png" alt="" />';
			}
			?>
		</div><!-- .thumbnail-wrap -->
		<span class="gradient"></span>
	</a>

	<div class="entry-header">
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<div class="entry-meta">
			<span class="entry-date"><?php echo get_the_date(); ?></span>
			<span class="entry-comment"><?php comments_popup_link( '0', '1', '%', 'comments-link', __('comments off', 'goodsite-pro')); ?></span>
		</div><!-- .entry-meta -->							
	</div><!-- .entry-header -->		

</div><!-- .post-first -->

<?php } elseif($i == 2) { ?>
	
	<div class="post-second hentry clear">


		<?php if ( has_post_thumbnail() ) { ?>
			<a class="thumbnail-link" href="<?php the_permalink(); ?>">
				<div class="thumbnail-wrap">
					<?php 
						the_post_thumbnail('square-thumb');  
					?>
				</div><!-- .thumbnail-wrap -->
			</a>
		<?php } ?>

		<div class="entry-header">
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php echo goodsite_pro_truncate_text(get_the_title(), 70); ?></a></h2>
		</div>

	</div><!-- .post-second -->

<?php } else { ?>

	<div class="post-list hentry clear">

		<div class="entry-header">
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		</div><!-- .entry-header -->

	</div><!-- .post-list -->

<?php

	} 

	$i++;
	endwhile;
?>